%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define debug_package %{nil}

%define libname wokkel
Name:           python-%{libname}
Version:        0.6.2
Release:        1%{?dist}
Summary:        Enhancements to the Twisted XMPP protocol implementation

Group:          Development/Languages
License:        MIT
URL:            http://wokkel.ik.nu
Source0:        http://wokkel.ik.nu/releases/%{version}/%{libname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, python-twisted-words, python-twisted-names
Requires:       python-twisted-words, python-twisted-names

%description
Wokkel is collection of enhancements on top of the Twisted networking
framework, written in Python. It mostly provides a testing ground
for enhancements to the Jabber/XMPP protocol implementation as found
in Twisted Words, that are meant to eventually move there.

Currently, Wokkel provides the following enhancements
on top of Twisted Words:

* A mechanism for easier implementation of XMPP Enhancement Protocols (XEPs)
  as so-called subprotocols.
* XMPP Client and server-side component support, that eases development
  and supports subprotocols.
* Subprotocol implementations for:
  o Generic presence, roster and message handling.
  o Service Discovery (XEP-0030), service side.
  o Publish-Subscribe (XEP-0060), client and service side.
  o Software Version (XEP-0092), service side. 
* Data format implementations for:
  o Data Forms (XEP-0004)
  o User Tune (XEP-0118)
  o User Mood (XEP-0107) 


%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
trial wokkel/test/test_*.py
 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README doc/examples
%{python_sitelib}/*


%changelog
* Fri Jul 10 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.2-1
- Upstream released new version

* Wed May 13 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.0-1
- Upstream released new version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.4.0-1
- Initial import

